citeproc-0.8.1: Generates citations and bibliography from CSL styles.

Safe Haskell | Safe-Inferred
Language | Haskell2010

Citeproc.Eval

# Documentation

evalStyle Source #

Arguments

:: CiteprocOutput a |
=> Style a | Parsed CSL style.
-> Maybe Lang | Override style default locale.
-> [Reference a] | List of references (bibliographic data).
-> [Citation a] | List of citations.
-> ([Output a], [(Text, Output a)], [Text]) | (citations, (id, bibentry) pairs, warnings)